[arch-commits] Commit in (4 files)

Jan de Groot jgc at archlinux.org
Sun Oct 12 11:37:55 EDT 2008


    Date: Sunday, October 12, 2008 @ 11:37:54
  Author: jgc
Revision: 15092

Add new package

Added:
  sound-theme-freedesktop/
  sound-theme-freedesktop/repos/
  sound-theme-freedesktop/trunk/
  sound-theme-freedesktop/trunk/PKGBUILD

----------+
 PKGBUILD |   22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

Added: sound-theme-freedesktop/trunk/PKGBUILD
===================================================================
--- sound-theme-freedesktop/trunk/PKGBUILD	                        (rev 0)
+++ sound-theme-freedesktop/trunk/PKGBUILD	2008-10-12 15:37:54 UTC (rev 15092)
@@ -0,0 +1,22 @@
+# $Id: $
+# Maintainer: Jan de Groot
+
+pkgname=sound-theme-freedesktop
+pkgver=0.1
+pkgrel=1
+pkgdesc="Freedesktop sound theme"
+arch=(i686 x86_64)
+license=('custom')
+source=(http://0pointer.de/public/${pkgname}.tar.gz)
+url="http://freedesktop.org/wiki/Specifications/sound-theme-spec"
+md5sums=('35f978665f0854f29a17a0974e780b1b')
+
+build() {
+  cd "${srcdir}/freedesktop"
+  install -m755 -d "${pkgdir}/usr/share/sounds/freedesktop/stereo"
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+
+  install -m644 index.theme "${pkgdir}/usr/share/sounds/freedesktop/" || return 1
+  install -m644 stereo/*.ogg "${pkgdir}/usr/share/sounds/freedesktop/stereo/" || return 1
+  install -m644 README "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
+}




More information about the arch-commits mailing list